
QGIS Application - Bug report #9485

Line Offset in symbology generates artifacts

2014-02-04 01:13 AM - mathieu rajerison

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18076

Description

Line offset in symbology is useful when you have a network with several lines superimposing with others.

But it generates artifacts.

The problem is less visible as the scale is getting bigger.

The problem is also encountered when merging all the lines in a single line.

In the attached file, you have the result with offset and without.

Associated revisions

Revision bb7cd405 - 2014-03-03 08:04 AM - Martin Dobias

Merge pull request #1205 from ahuarte47/Issue_9485

Fix #9456 #9485: Line Offset in symbology generates artifacts

History

#1 - 2014-02-04 04:51 AM - Alvaro Huarte

This may be due because "simplification" of geometries is enabled.

You can disable it -> Layer properties -> Rendering -> un-check "Simplify Geometry" 

Or settings -> options -> rendering -> un-check "Enable feature simplification by default"

#2 - 2014-02-04 07:08 AM - mathieu rajerison

I am under QGIS Dufour and I can not see none of these options.

In layer properties, does rendering refer to "Style". If yes, I can not see "Simplify Geometry" 

In the settings > ... > Rendering, I can not see any mention to feature simplification..

#3 - 2014-02-04 11:33 AM - Nyall Dawson

This relates to #9456
#4 - 2014-02-04 02:24 PM - Alvaro Huarte

mathieu rajerison wrote:

I am under QGIS Dufour and I can not see none of these options.

In layer properties, does rendering refer to "Style". If yes, I can not see "Simplify Geometry" 

In the settings > ... > Rendering, I can not see any mention to feature simplification..

My apologies for the confusion, You are right, the simplification will be released in 2.2.

Alvaro

#5 - 2014-02-06 05:58 AM - mathieu rajerison

- File pb_qgis.jpeg added

Hi,

I took note that a similar issue had already been opened.

Here is a snapshot with and without simplification and with and without offset, just for illustration.

The object is a single line.

Mat

#6 - 2014-02-07 05:09 AM - Giovanni Manghi

- Category set to Symbology

- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#7 - 2014-02-16 01:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #9456

#8 - 2014-02-20 02:59 PM - Alvaro Huarte

- File issue_9485-results.JPG added

This pull request ( https://github.com/qgis/QGIS/pull/1205 ) improves the offset of lines using GEOSOffsetCurve if GEOS 3.3 is available.

Results:
Files

qgisLineOffset.jpeg 309 KB 2014-02-04 mathieu rajerison

pb_qgis.jpeg 237 KB 2014-02-06 mathieu rajerison

issue_9485-results.JPG 120 KB 2014-02-20 Alvaro Huarte
